import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiUserService } from "../../services/sti-user-service";
import * as i0 from "@angular/core";
export declare class StiTrialTimerWindowComponent implements OnInit {
    model: StiModelService;
    loc: StiLocalizationService;
    userService: StiUserService;
    isRusLocalization(): boolean;
    upgradeClick(): void;
    getRemainingDays(): string;
    constructor(model: StiModelService, loc: StiLocalizationService, userService: StiUserService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTrialTimerWindowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTrialTimerWindowComponent, "sti-trial-timer-window", never, {}, {}, never, never, false, never>;
}
